curl --location --request PUT '/TenantTransaction/Commercial/Purchase/Cash/Return' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tenantId": 1,
"transactionId": 1,
"note": "Update return purchase demo",
"updateNo": "00000000-0000-0000-0000-000000000001",
"updatorUserId": 1,
"updatorDeviceId": "00000000-0000-0000-0000-000000000000",
"updatedAt": "2025-09-10T11:59:12.0792726Z",
"tenantTransactionProductInputs": [
{
"productId": 10,
"measureUnitId": 1,
"productionAt": null,
"expiryAt": null,
"price": 20,
"quantity": 2,
"freeQuantity": 0,
"receivedQuantity": 2,
"description": null
}
],
"transfers": [
{
"id": 1,
"accountId": 3001,
"currencyId": "YER",
"amount": 40,
"description": null
}
]
}'[
{
"tenantId": 0,
"serviceId": 0,
"id": 0,
"serialNo": "8fe20539-3963-42bc-bcbe-d270b89c0cea",
"currencyId": "string",
"amount": 0,
"toCurrencyId": "string",
"toAmount": 0,
"description": null,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z",
"TenantTransactionTransfers": [
{
"rowNo": 0,
"tenantId": 0,
"serviceId": 0,
"transactionId": 0,
"id": 0,
"accountId": 0,
"currencyId": "string",
"amount": 0,
"description": null,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"TenantBalances": [
{
"rowNo": 0,
"tenantId": 0,
"accountId": 0,
"currencyId": "string",
"amount": 0,
"ceilAmount": 0,
"upId": 0,
"typeId": 0,
"groupId": 0,
"isMain": true,
"isAutomatic": true,
"relatedUserId": 0,
"description": null,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"TenantTransactionProducts": [
{
"rowNo": 0,
"tenantId": 0,
"serviceId": 0,
"transactionId": 0,
"productId": 0,
"measureUnitId": 0,
"currencyId": "string",
"storeId": 0,
"productionAt": "2019-08-24",
"expiryAt": "2019-08-24",
"price": 0,
"costPrice": 0,
"quantity": 0,
"description": null,
"status": 0,
"isFree": true,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"TenantRequest": [
{
"rowNo": 0,
"askTenantId": 0,
"responseTenantId": 0,
"serviceId": 0,
"id": 0,
"serialNo": "8fe20539-3963-42bc-bcbe-d270b89c0cea",
"description": null,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"TenantLogs": [
{
"rowNo": 0,
"tenantId": 0,
"id": 0,
"description": null,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z"
}
],
"TenantProductStorages": [
{
"rowNo": 0,
"tenantId": 0,
"productId": 0,
"measureUnitId": 0,
"barcode": "string",
"currencyId": "str",
"storeId": 0,
"productionAt": "2019-08-24",
"expiryAt": "2019-08-24",
"costPrice": 0,
"quantity": 0,
"status": 0,
"creatorUserId": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatorUserId": 0,
"updatedAt": "2019-08-24T14:15:22.123Z",
"description": null
}
],
"deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a"
}
]